Support » Requests and Feedback » Possible valid HTML?

Possible valid HTML?

  • The plugin works great but the class attribute for the <script> tag does not validate. A possible plugin improvement is to use a different attribute so the code validates.


Viewing 4 replies - 1 through 4 (of 4 total)
  • whooami



    no, the solution to script tags not being valid is to wrap them properly, like so:

    <script type="text/javascript">
    if (cherie) wordpress();

    I guess I phrased my statement a little ambiguously. Instead of having <script type="text/javascript">, the plugin uses <script class="javascript"> which does not validate.

    I’ve made some small changes to the HTML markup to get it W3C valid. You can get the modified version here : http://lapin-blanc.net/downloads/google_syntax_highlighter.phps

    With this patch, only the plugin markup will be valid, the core JS code always require to use <pre name="code"> which is invalid.



    I’ve hacked a little bit your plugin to make it XHTML comliant.

    You can see how I simply did it here : http://blog.khaled-labidi.net/?p=81

    It would be great if futur releases take into account XHTML compliance.


Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Possible valid HTML?’ is closed to new replies.